Bug 820078 - yum install of libidn and libidn-devl
yum install of libidn and libidn-devl
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.10
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-09 01:43 EDT by Richard Lynch
Modified: 2014-01-21 01:25 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-10 16:45:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Lynch 2012-05-09 01:43:36 EDT
Description of problem:
Having a devil of time trying to install libidn and libidn-devel at same version.

Finally thought I had it and...



Version-Release number of selected component (if applicable):

Updating:
 libidn                                               i686                                         1.18-2.SEL6                                            /libidn-1.18-2.SEL6.i686                                               548 k
 libidn-devel                                         i686                                         1.18-2.SEL6                                            /libidn-devel-1.18-2.SEL6.i686                                         403 k

Transaction Summary
=======================================================================================================================================================================================================================================
Install       0 Package(s)
Upgrade       2 Package(s)

Total size: 951 k
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
rpmlib(FileDigests) is needed by libidn-devel-1.18-2.SEL6.i686
rpmlib(PayloadIsXz) is needed by libidn-devel-1.18-2.SEL6.i686
rpmlib(FileDigests) is needed by libidn-1.18-2.SEL6.i686
rpmlib(PayloadIsXz) is needed by libidn-1.18-2.SEL6.i686
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])



How reproducible:


Steps to Reproduce:
1. Get -devel http://rpm.pbone.net/index.php3/stat/3/srodzaj/1/search/libidn-devel
2. Get package
3.
  
Actual results:
=
Install       0 Package(s)
Upgrade       2 Package(s)

Total size: 951 k
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
rpmlib(FileDigests) is needed by libidn-devel-1.18-2.SEL6.i686
rpmlib(PayloadIsXz) is needed by libidn-devel-1.18-2.SEL6.i686
rpmlib(FileDigests) is needed by libidn-1.18-2.SEL6.i686
rpmlib(PayloadIsXz) is needed by libidn-1.18-2.SEL6.i686
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])

Expected results:
Just install the dang thing.


Additional info:
Comment 1 James Antill 2012-05-10 16:45:13 EDT
 You are trying to install RHEL-6 packages on RHEL-5 ... and the RHEL-5 rpm can't understand them.

Note You need to log in before you can comment on or make changes to this bug.